Autor Thema: Paketaktualisierung nicht möglich / nvidia-390xx-utils Konflikt (blockiert)  (Gelesen 370 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline Zyo

  • Neuling
  • *
  • Beiträge: 3
  • Karma: +0/-0
  • Skill: Durchschnitt
Hallo zusammen.

Auf dem Laptop meiner Mutter habe ich erst frisch Manjaro neu installiert, weil irgendetwas ein halbes Jahr lang die Aktualisierung blockierte. Nun taucht ein ähnliches Problem wieder auf. Diesmal blockiert die Abhängigkeit
Zitat
In Konflikt stehende Abhängigkeiten:
-  nvidia-450xx-utils und nvidia-390xx-utils stehen im Konflikt zueinander

und

Zitat
Kann Abhängigkeiten nicht erfüllen:
- nicht vorhandene Abhängigkeit 'nvidia-390xx-utils=390.132' benötigt von linux58-nvidia-390xx
- nicht vorhandene Abhängigkeit 'nvidia-390xx-utils=390.132' benötigt von linux57-nvidia-390xx

Nach einer Stunde rumprobieren bzw. über Terminal versuchen zu Deinstallieren der nvidia-390 Pakete oder über Manjaro Einstellungen etc. pp., was alles nicht geholfen hat, hoffe ich ihr könnt mir helfen.


Offline Zyo

  • Neuling
  • *
  • Beiträge: 3
  • Karma: +0/-0
  • Skill: Durchschnitt
Ich habe jetzt geschafft den Nvidia Treiber zu deinstallieren.

Zitat
sudo pacman -R nvidia-390xx-utils cuda lib32-nvidia-390xx-utils linux57-nvidia-390xx linux58-nvidia-390xx

Hatte dann folgendes ausgeführt

Zitat
sudo mhwd -i pci video-nvidia-450xx


Jetzt habe ich leider ein Blackscreen beim Neustart.

tty läuft wenigstens...


Offline Zyo

  • Neuling
  • *
  • Beiträge: 3
  • Karma: +0/-0
  • Skill: Durchschnitt
So jetzt läuft es wieder soweit.

Erstens vermute, dass der 450er Treiber nicht mit der Nvidia GT 920M kompatibel ist, denn wenn man auf der Nvidia Seite sucht kommt maximal ein 430er Treiber. Zusätzlich war immer noch etwas vom 390er Treiber in mhwd verankert, da
sudo mhwd -a pci nonfree 0300Auf den 390xx verwies und bei dem Versuch diesen mit
sudo mhqd -r pci video-hybrid-intel-nvidia-390xx-bumblebeeZu entfernen einen Fehler ausgab, genauer ein Verweis auf golgende Abhängigkeit.
sudo pacman -R linux-latest-bbswitchsudo pacman -R linux58-bbswitchMusste ich dann entfernen, um
sudo mhwd -a pci nonfree 0300Endlich erfolgreich ausführen zu können!

Jetzt kann ich wieder einloggen in GUI.

EDIT: Werden im "Manjaro-Einstellungsmanager" bzw. mhwd gui nur kompatible Treiber angezeigt?
« Letzte Änderung: 20. September 2020, 14:46:28 von Zyo »

Offline Securityman

  • Neuling
  • *
  • Beiträge: 10
  • Karma: +0/-0
  • Skill: Durchschnitt
Ich hatte ein ähnliches Problem und habe es so gemacht wie gezeigt. Geht jetzt auch wieder. Danke  ;D